## ypy 0.7.0~a1

=== examples/drawing/requirements.txt ===
y_py
websockets
glfw; sys_platform != 'win32'
numpy
vispy
p5

=== debian/changelog ===
ypy (0.7.0~a1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 15 Nov 2023 15:48:54 +0100

ypy (0.7.0~a1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Nov 2023 13:33:36 +0100

ypy (0.1-0~pypi2deb) UNRELEASED; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219.

 -- Roland Mas <lolando@debian.org>  Wed, 07 Jun 2023 07:06:18 +0000

=== debian/control ===
Source: ypy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
	       pybuild-plugin-pyproject,
	       python3-maturin,
	       librust-lib0-dev,
	       librust-pyo3-dev,
	       librust-yrs-dev,
	       cargo,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: http://github.com/yakirr/ypy
Rules-Requires-Root: no

Package: python3-ypy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: Python binding for Y-CRDT
 This binding provides distributed data types that enable real-time
 collaboration between devices. Ypy can sync data with any other
 platform that has a Y-CRDT binding, allowing for seamless
 cross-domain communication. The library is a thin wrapper around Yrs,
 taking advantage of the safety and performance of Rust.Python utility
 functions used in yakirr repos

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ypy
export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/a/~a/ \
https://github.com/y-crdt/ypy/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
